Subject: Re: bug#74413: [PATCH] Allow to store and read repository information of VCS builds

From: Eli Zaretskii <[email-masked]>
Date: Mon, 18 Nov 2024 21:03:11 +0200

> From: Björn Bidar <[email-masked]>
> Cc: Stefan Kangas <[email-masked]>,  [email-masked],
>   [email-masked]
> Date: Mon, 18 Nov 2024 18:54:26 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > This is already available if Emacs is built in a Git repository, and
> > the information is stored in the dumped Emacs.  So what is gained by
> > also recording the repository version on a disk file external to
> > Emacs?
> 
> The information is only stored if the worker already had git installed
> and checked out the sources with git inside the worker.
> Also the function currently fails unless the system the user uses also happens to
> have git installed and the sources if the are installed also contain the
> VCS metadata.
> Storing the VCS metadata in the sources doesn't happen usually as it
> increases the size of a good chunk. In my case e.g. from 188MB to 788MB.
> Why not have the same feature for other platforms too?

Sorry, I don't understand this explanation; I'm probably missing
something.

The feature you propose requires to build Emacs inside a Git
repository, is that correct?  Because otherwise "git rev-parse" will
not work, right?  If that is correct, then building Emacs inside a Git
repository already calls this Git command and records the result in 2
Emacs Lisp variables.  So why do you also want to record the same
information on a file?  What kind of scenario do you have in mind in
which building Emacs with its current code will not record the branch
and the revision, but your additions to Makefile will record that?